#ifndef LANG_H
#define LANG_H

#include "lex.h"

void enter_block(void);
void stmt_assign(char* name);
void stmt_expr(void);
void exit_block(void);

void exit_expr(void);

void enter_if(void);
void exit_if(void);

void enter_loop(char* label);
void cvar_pass(char* name);
void cvar_init(char* name);

void expr_next(char* label);
void expr_exit(char* label);
void expr_return(void);

void enter_group(void);
void exit_group(void);

void expr_op(enum operator_ op);
void expr_string(char* string);
void expr_integer(int64_t num);
void expr_var(char* var);

#endif
